import request from '@/utils/request'

// 查询耐药基因耐药药品、敏感药品管理列表
export function listNyjy(query) {
  return request({
    url: '/data/nyjy/list',
    method: 'get',
    params: query
  })
}

// 查询耐药基因耐药药品、敏感药品管理详细
export function getNyjy(id) {
  return request({
    url: '/data/nyjy/' + id,
    method: 'get'
  })
}

// 新增耐药基因耐药药品、敏感药品管理
export function addNyjy(data) {
  return request({
    url: '/data/nyjy',
    method: 'post',
    data: data
  })
}

// 修改耐药基因耐药药品、敏感药品管理
export function updateNyjy(data) {
  return request({
    url: '/data/nyjy',
    method: 'put',
    data: data
  })
}

// 删除耐药基因耐药药品、敏感药品管理
export function delNyjy(id) {
  return request({
    url: '/data/nyjy/' + id,
    method: 'delete'
  })
}
